---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libclrbrk001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50080, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51FC0, symBinAddr: 0xE260, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x523B0, symBinAddr: 0xE650, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53350, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53360, symBinAddr: 0xF600, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FBA0, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FBA4, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FBA8, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FD00, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FDB8, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FDBC, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FDC0, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FDC4, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FDC8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FDD0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FDE8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FDF0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FDF8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FE00, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FE08, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL16breakpointsCount, symObjAddr: 0x4FE4C, symBinAddr: 0xC1AC, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4FE50, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4FE58, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4FE60, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9129, offset: 0x9129, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x4FE70, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9142, offset: 0x9142, size: 0x8, addend: 0x0, symName: __ZL3mid, symObjAddr: 0x4FFA8, symBinAddr: 0xC308, symSize: 0x0 }
  - { offsetInCU: 0x915B, offset: 0x915B, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4FFB0, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x917B, offset: 0x917B, size: 0x8, addend: 0x0, symName: __ZL19breakpointsExpected, symObjAddr: 0x4FFB4, symBinAddr: 0xC314, symSize: 0x0 }
  - { offsetInCU: 0x91CD, offset: 0x91CD, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x47F0, symSize: 0x80 }
  - { offsetInCU: 0x9262, offset: 0x9262, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4740, symSize: 0xB0 }
  - { offsetInCU: 0x92BD, offset: 0x92BD, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4640, symSize: 0x100 }
  - { offsetInCU: 0x9550, offset: 0x9550, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4870, symSize: 0x220 }
  - { offsetInCU: 0x9735, offset: 0x9735, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4A90, symSize: 0xA0 }
  - { offsetInCU: 0x97E8, offset: 0x97E8, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4B30, symSize: 0x110 }
  - { offsetInCU: 0x98DE, offset: 0x98DE, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4C40, symSize: 0x150 }
  - { offsetInCU: 0x9A0F, offset: 0x9A0F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4D90, symSize: 0x30 }
  - { offsetInCU: 0x9AD0, offset: 0x9AD0, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4DC0, symSize: 0x150 }
  - { offsetInCU: 0x9CC8, offset: 0x9CC8, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4F10, symSize: 0x160 }
  - { offsetInCU: 0x9E54, offset: 0x9E54, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x5070, symSize: 0x1B0 }
  - { offsetInCU: 0xA06F, offset: 0xA06F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x5220, symSize: 0xA0 }
  - { offsetInCU: 0xA13E, offset: 0xA13E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x52C0, symSize: 0x20 }
  - { offsetInCU: 0xA175, offset: 0xA175, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x52E0, symSize: 0x20 }
  - { offsetInCU: 0xA1AC, offset: 0xA1AC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x5300, symSize: 0x20 }
  - { offsetInCU: 0xA31B, offset: 0xA31B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x5320, symSize: 0x1A0 }
  - { offsetInCU: 0xA641, offset: 0xA641, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x54C0, symSize: 0x80 }
  - { offsetInCU: 0xA70A, offset: 0xA70A, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5540, symSize: 0x6A0 }
  - { offsetInCU: 0xB29F, offset: 0xB29F, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9F90, symBinAddr: 0x6660, symSize: 0xB0 }
  - { offsetInCU: 0xB316, offset: 0xB316, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5BE0, symSize: 0x70 }
  - { offsetInCU: 0xB42A, offset: 0xB42A, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5C50, symSize: 0xA0 }
  - { offsetInCU: 0xB555, offset: 0xB555, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5CF0, symSize: 0x40 }
  - { offsetInCU: 0xB64B, offset: 0xB64B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5D30, symSize: 0x2B0 }
  - { offsetInCU: 0xB9F1, offset: 0xB9F1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5FE0, symSize: 0xC0 }
  - { offsetInCU: 0xBB37, offset: 0xBB37, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x60A0, symSize: 0x10 }
  - { offsetInCU: 0xBBF9, offset: 0xBBF9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x60B0, symSize: 0x220 }
  - { offsetInCU: 0xBEF6, offset: 0xBEF6, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x62D0, symSize: 0x10 }
  - { offsetInCU: 0xBF53, offset: 0xBF53, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x62E0, symSize: 0x190 }
  - { offsetInCU: 0xC177, offset: 0xC177, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DA0, symBinAddr: 0x6470, symSize: 0x10 }
  - { offsetInCU: 0xC1D4, offset: 0xC1D4, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0x9DB0, symBinAddr: 0x6480, symSize: 0x10 }
  - { offsetInCU: 0xC259, offset: 0xC259, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ClearBreakpoint_clrbrk001_getReady, symObjAddr: 0x9DC0, symBinAddr: 0x6490, symSize: 0x50 }
  - { offsetInCU: 0xC2EB, offset: 0xC2EB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ClearBreakpoint_clrbrk001_setBP, symObjAddr: 0x9E10, symBinAddr: 0x64E0, symSize: 0x80 }
  - { offsetInCU: 0xC375, offset: 0xC375, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ClearBreakpoint_clrbrk001_clearBP, symObjAddr: 0x9E90, symBinAddr: 0x6560, symSize: 0x80 }
  - { offsetInCU: 0xC3FF, offset: 0xC3FF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ClearBreakpoint_clrbrk001_check, symObjAddr: 0x9F10, symBinAddr: 0x65E0, symSize: 0x80 }
  - { offsetInCU: 0xC438, offset: 0xC438, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA040, symBinAddr: 0x6710, symSize: 0x36A }
...
